Bug 486875 - Evolution fails to redraw for minutes
Evolution fails to redraw for minutes
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: evolution (Show other bugs)
10
All Linux
high Severity medium
: ---
: ---
Assigned To: Matthew Barnes
Fedora Extras Quality Assurance
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-02-22 15:03 EST by David Woodhouse
Modified: 2009-12-18 03:00 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-18 03:00:24 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
GNOME Desktop 248353 None None None Never

  None (edit)
Description David Woodhouse 2009-02-22 15:03:50 EST
My father just spent about an hour typing an email, then went for dinner. Upon returning, he banished the screensaver and then Evolution failed to redraw itself. He thought it had crashed, and in trying to recover he closed the composer window -- and lost all his work.

I've seen similar behaviour from Evolution, but I had the wit to just wait for it. It seems to be related to network outages -- it takes _minutes_ waiting for something, and fails to redraw itself when it's waiting.

This latest version of Evolution really does seem to be a massive step backward.
Comment 1 Adam Williamson 2009-02-23 14:39:10 EST
There isn't really any usable information in this report which would enable it to be reproduced and hence fixed, so it's fairly useless in terms of fixing the problem, I'm afraid. Additionally, there's no indication that this is a Fedora-specific bug. If it isn't, it should be filed at bugzilla.gnome.org .

I will set the bug to NEEDINFO. If you're sure it's a Fedora-specific bug, please try and provide a reliable scenario in which the bug can be reproduced. If not, please close the report and file a bug with the GNOME project instead. Thanks!

-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 2 David Woodhouse 2009-02-24 04:22:49 EST
What steps did you take to attempt to reproduce the bug? It happens quite a lot for me when I'm using Evolution and the Internet connection is down. I'm surprised you weren't able to reproduce it.

I'm sure it's not a Fedora-specific bug. But we choose to ship this software and even make it the default mail client, so we need to make some attempt to make it usable. Or drop it.
Comment 3 Milan Crha 2009-02-24 04:53:30 EST
David, one of very common crashers these days is described in an upstream bug [1], but your description of "keeping it idle while composing" sounds very new to me. I do not see this myself, maybe I do not keep evolution running as long as others (because of developing and so on).

Could you try to attach here a stacktrace of such frozen state when that happens again, please? I know it'll not be easy, but, just in case. That's also question whether evolution doesn't wait for eds, say with an address book or something, then it'll probably need traces of both. Hard to tell at the moment.

[1] http://bugzilla.gnome.org/show_bug.cgi?id=569700
Comment 4 David Woodhouse 2009-02-24 06:24:37 EST
It's not just when composing. Often I see it when I'm just reading email. Or just notice that it's not redrawing itself when I move something else from on top of it, when I'm not using it at all.

The trigger definitely seems to be that the Internet connection has gone away. If you have a reliable connection and you're not often on crappy GPRS or in airplanes, you're less likely to see it.
Comment 5 David Woodhouse 2009-02-24 06:26:27 EST
Btw, this wasn't a crash. My father _closed_ the composer window and lost his hour's worth of typing (which was probably only about 5 lines, but this is my father we're talking about). It was just a temporary failure to redraw itself, which _looked_ like a crash, to him. So he hit the big X in the top right-hand corner.
Comment 6 Adam Williamson 2009-02-24 11:08:57 EST
David: I run Evolution exclusively for my email, including on my laptop - which is frequently in intermittent-internet-connection situations - and haven't seen this behaviour. I will keep an eye out for it, though.

It's true that there should be a way to handle bugs that are upstream but are important to have handled specifically in Fedora. AIUI there isn't currently a consistent policy for this.

-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 7 David Woodhouse 2009-04-01 07:34:24 EDT
I attached with gdb and got a backtrace while it was failing to redraw.

(gdb) t a a bt

Thread 21 (Thread 0x7fcfad816950 (LWP 5337)):
#0  pthread_cond_wait@@GLIBC_2.3.2 ()
    at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:261
#1  0x00000036f0e1427c in g_async_queue_pop_intern_unlocked (queue=0x17c6560, 
    try=0, end_time=0x0) at gasyncqueue.c:358
#2  0x00000036f0e14632 in IA__g_async_queue_pop (queue=0x17c6560)
    at gasyncqueue.c:398
#3  0x0000003bf84229f1 in ?? () from /usr/lib64/libcamel-1.2.so.14
#4  0x00000036f0e60d44 in g_thread_create_proxy (data=0x17e8fb0)
    at gthread.c:635
#5  0x00000034c86073da in start_thread (arg=<value optimized out>)
    at pthread_create.c:297
#6  0x00000034c7ae62bd in clone ()
    at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112

Thread 20 (Thread 0x7fcface15950 (LWP 5338)):
#0  pthread_cond_wait@@GLIBC_2.3.2 ()
    at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:261
#1  0x00000036f0e1427c in g_async_queue_pop_intern_unlocked (queue=0x1752280, 
    try=0, end_time=0x0) at gasyncqueue.c:358
#2  0x00000036f0e14632 in IA__g_async_queue_pop (queue=0x1752280)
    at gasyncqueue.c:398
---Type <return> to continue, or q <return> to quit---
#3  0x0000003bf84229f1 in ?? () from /usr/lib64/libcamel-1.2.so.14
#4  0x00000036f0e60d44 in g_thread_create_proxy (data=0x17c5df0)
    at gthread.c:635
#5  0x00000034c86073da in start_thread (arg=<value optimized out>)
    at pthread_create.c:297
#6  0x00000034c7ae62bd in clone ()
    at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
Current language:  auto; currently asm

Thread 19 (Thread 0x7fcfa4beb950 (LWP 5344)):
#0  pthread_cond_wait@@GLIBC_2.3.2 ()
    at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:261
#1  0x00000036f0e1427c in g_async_queue_pop_intern_unlocked (queue=0x177ffd0, 
    try=0, end_time=0x0) at gasyncqueue.c:358
#2  0x00000036f0e14632 in IA__g_async_queue_pop (queue=0x177ffd0)
    at gasyncqueue.c:398
#3  0x0000003bf84229f1 in ?? () from /usr/lib64/libcamel-1.2.so.14
#4  0x00000036f0e60d44 in g_thread_create_proxy (data=0x175d010)
    at gthread.c:635
#5  0x00000034c86073da in start_thread (arg=<value optimized out>)
    at pthread_create.c:297
#6  0x00000034c7ae62bd in clone ()
    at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112

---Type <return> to continue, or q <return> to quit---
Thread 18 (Thread 0x7fcfa3fdf950 (LWP 5346)):
#0  0x00000034c7adc886 in __poll (fds=0x18af5b0, nfds=2, timeout=-1)
    at ../sysdeps/unix/sysv/linux/poll.c:87
#1  0x00000036f0e3ae08 in g_main_context_poll () at gmain.c:3091
#2  g_main_context_iterate (context=0x185e470, block=1, dispatch=1, 
    self=<value optimized out>) at gmain.c:2773
#3  0x00000036f0e3b49d in IA__g_main_loop_run (loop=0x1869a60) at gmain.c:2986
#4  0x00000036f8c080d3 in ?? () from /usr/lib64/libnm_glib.so.0
#5  0x00000036f0e60d44 in g_thread_create_proxy (data=0x185e5f0)
    at gthread.c:635
#6  0x00000034c86073da in start_thread (arg=<value optimized out>)
    at pthread_create.c:297
#7  0x00000034c7ae62bd in clone ()
    at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112

Thread 17 (Thread 0x7fcfa2f30950 (LWP 5347)):
#0  pthread_cond_wait@@GLIBC_2.3.2 ()
    at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:261
#1  0x00000036f0e1427c in g_async_queue_pop_intern_unlocked (
    queue=0x7fcfa80c97d0, try=0, end_time=0x0) at gasyncqueue.c:358
#2  0x00000036f0e14632 in IA__g_async_queue_pop (queue=0x7fcfa80c97d0)
    at gasyncqueue.c:398
#3  0x0000003bf84229f1 in ?? () from /usr/lib64/libcamel-1.2.so.14
---Type <return> to continue, or q <return> to quit---
#4  0x00000036f0e60d44 in g_thread_create_proxy (data=0x7fcfa80c9830)
    at gthread.c:635
#5  0x00000034c86073da in start_thread (arg=<value optimized out>)
    at pthread_create.c:297
#6  0x00000034c7ae62bd in clone ()
    at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
Current language:  auto; currently c

Thread 16 (Thread 0x7fcfa252f950 (LWP 5348)):
#0  pthread_cond_wait@@GLIBC_2.3.2 ()
    at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:261
#1  0x00000036f0e1427c in g_async_queue_pop_intern_unlocked (queue=0x18717d0, 
    try=0, end_time=0x0) at gasyncqueue.c:358
#2  0x00000036f0e14632 in IA__g_async_queue_pop (queue=0x18717d0)
    at gasyncqueue.c:398
#3  0x0000003bf84229f1 in ?? () from /usr/lib64/libcamel-1.2.so.14
#4  0x00000036f0e60d44 in g_thread_create_proxy (data=0x189df80)
    at gthread.c:635
#5  0x00000034c86073da in start_thread (arg=<value optimized out>)
    at pthread_create.c:297
#6  0x00000034c7ae62bd in clone ()
    at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
Current language:  auto; currently asm

Thread 15 (Thread 0x7fcfa1b2e950 (LWP 5349)):
---Type <return> to continue, or q <return> to quit---
#0  pthread_cond_wait@@GLIBC_2.3.2 ()
    at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:261
#1  0x00000036f0e1427c in g_async_queue_pop_intern_unlocked (queue=0x1921310, 
    try=0, end_time=0x0) at gasyncqueue.c:358
#2  0x00000036f0e14632 in IA__g_async_queue_pop (queue=0x1921310)
    at gasyncqueue.c:398
#3  0x0000003bf84229f1 in ?? () from /usr/lib64/libcamel-1.2.so.14
#4  0x00000036f0e60d44 in g_thread_create_proxy (data=0x186c910)
    at gthread.c:635
#5  0x00000034c86073da in start_thread (arg=<value optimized out>)
    at pthread_create.c:297
#6  0x00000034c7ae62bd in clone ()
    at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112

Thread 14 (Thread 0x7fcfa112d950 (LWP 5350)):
#0  pthread_cond_wait@@GLIBC_2.3.2 ()
    at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:261
#1  0x00000036f0e1427c in g_async_queue_pop_intern_unlocked (queue=0x1d23a80, 
    try=0, end_time=0x0) at gasyncqueue.c:358
#2  0x00000036f0e14632 in IA__g_async_queue_pop (queue=0x1d23a80)
    at gasyncqueue.c:398
#3  0x0000003bf84229f1 in ?? () from /usr/lib64/libcamel-1.2.so.14
#4  0x00000036f0e60d44 in g_thread_create_proxy (data=0x1d24240)
---Type <return> to continue, or q <return> to quit---
    at gthread.c:635
#5  0x00000034c86073da in start_thread (arg=<value optimized out>)
    at pthread_create.c:297
#6  0x00000034c7ae62bd in clone ()
    at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112

Thread 13 (Thread 0x7fcfa7fff950 (LWP 5351)):
#0  pthread_cond_wait@@GLIBC_2.3.2 ()
    at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:261
#1  0x00000036f0e1427c in g_async_queue_pop_intern_unlocked (queue=0x1d2b1b0, 
    try=0, end_time=0x0) at gasyncqueue.c:358
#2  0x00000036f0e14632 in IA__g_async_queue_pop (queue=0x1d2b1b0)
    at gasyncqueue.c:398
#3  0x0000003bf84229f1 in ?? () from /usr/lib64/libcamel-1.2.so.14
#4  0x00000036f0e60d44 in g_thread_create_proxy (data=0x1d2a880)
    at gthread.c:635
#5  0x00000034c86073da in start_thread (arg=<value optimized out>)
    at pthread_create.c:297

#6  0x00000034c7ae62bd in clone ()
    at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112

Thread 12 (Thread 0x7fcfa072c950 (LWP 5352)):
#0  pthread_cond_wait@@GLIBC_2.3.2 ()
---Type <return> to continue, or q <return> to quit---
    at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:261
#1  0x00000036f0e1427c in g_async_queue_pop_intern_unlocked (queue=0x1d4bd70, 
    try=0, end_time=0x0) at gasyncqueue.c:358
#2  0x00000036f0e14632 in IA__g_async_queue_pop (queue=0x1d4bd70)
    at gasyncqueue.c:398
#3  0x0000003bf84229f1 in ?? () from /usr/lib64/libcamel-1.2.so.14
#4  0x00000036f0e60d44 in g_thread_create_proxy (data=0x1d4bec0)
    at gthread.c:635
#5  0x00000034c86073da in start_thread (arg=<value optimized out>)
    at pthread_create.c:297
#6  0x00000034c7ae62bd in clone ()
    at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112

Thread 11 (Thread 0x7fcf9fd2b950 (LWP 5353)):
#0  pthread_cond_wait@@GLIBC_2.3.2 ()
    at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:261
#1  0x00000036f0e1427c in g_async_queue_pop_intern_unlocked (queue=0x1d54bc0, 
    try=0, end_time=0x0) at gasyncqueue.c:358
#2  0x00000036f0e14632 in IA__g_async_queue_pop (queue=0x1d54bc0)
    at gasyncqueue.c:398
#3  0x0000003bf84229f1 in ?? () from /usr/lib64/libcamel-1.2.so.14
#4  0x00000036f0e60d44 in g_thread_create_proxy (data=0x1d547e0)
    at gthread.c:635
---Type <return> to continue, or q <return> to quit---
#5  0x00000034c86073da in start_thread (arg=<value optimized out>)
    at pthread_create.c:297
#6  0x00000034c7ae62bd in clone ()
    at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112

Thread 10 (Thread 0x7fcf9f32a950 (LWP 5354)):
#0  pthread_cond_wait@@GLIBC_2.3.2 ()
    at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:261
#1  0x00000036f0e1427c in g_async_queue_pop_intern_unlocked (queue=0x1d5b870, 
    try=0, end_time=0x0) at gasyncqueue.c:358
#2  0x00000036f0e14632 in IA__g_async_queue_pop (queue=0x1d5b870)
    at gasyncqueue.c:398
#3  0x0000003bf84229f1 in ?? () from /usr/lib64/libcamel-1.2.so.14
#4  0x00000036f0e60d44 in g_thread_create_proxy (data=0x1d5b390)
    at gthread.c:635
#5  0x00000034c86073da in start_thread (arg=<value optimized out>)
    at pthread_create.c:297
#6  0x00000034c7ae62bd in clone ()
    at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112

Thread 9 (Thread 0x7fcf9e929950 (LWP 5355)):
#0  pthread_cond_wait@@GLIBC_2.3.2 ()
    at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:261
---Type <return> to continue, or q <return> to quit---
#1  0x00000036f0e1427c in g_async_queue_pop_intern_unlocked (queue=0x1d62cc0, 
    try=0, end_time=0x0) at gasyncqueue.c:358
#2  0x00000036f0e14632 in IA__g_async_queue_pop (queue=0x1d62cc0)
    at gasyncqueue.c:398
#3  0x0000003bf84229f1 in ?? () from /usr/lib64/libcamel-1.2.so.14
#4  0x00000036f0e60d44 in g_thread_create_proxy (data=0x1d682a0)
    at gthread.c:635
#5  0x00000034c86073da in start_thread (arg=<value optimized out>)
    at pthread_create.c:297
#6  0x00000034c7ae62bd in clone ()
    at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112

Thread 8 (Thread 0x7fcf9d527950 (LWP 5358)):
#0  pthread_cond_wait@@GLIBC_2.3.2 ()
    at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:261
#1  0x00000036f0e1427c in g_async_queue_pop_intern_unlocked (
    queue=0x7fcfa818a0a0, try=0, end_time=0x0) at gasyncqueue.c:358
#2  0x00000036f0e14632 in IA__g_async_queue_pop (queue=0x7fcfa818a0a0)
    at gasyncqueue.c:398
#3  0x0000003bf84229f1 in ?? () from /usr/lib64/libcamel-1.2.so.14
#4  0x00000036f0e60d44 in g_thread_create_proxy (data=0x7fcfa818c9e0)
    at gthread.c:635
#5  0x00000034c86073da in start_thread (arg=<value optimized out>)
---Type <return> to continue, or q <return> to quit---
    at pthread_create.c:297
#6  0x00000034c7ae62bd in clone ()
    at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112

Thread 7 (Thread 0x7fcf9cb26950 (LWP 5360)):
#0  pthread_cond_wait@@GLIBC_2.3.2 ()
    at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:261
#1  0x00000036f0e1427c in g_async_queue_pop_intern_unlocked (
    queue=0x7fcfa8193970, try=0, end_time=0x0) at gasyncqueue.c:358
#2  0x00000036f0e14632 in IA__g_async_queue_pop (queue=0x7fcfa8193970)
    at gasyncqueue.c:398
#3  0x0000003bf84229f1 in ?? () from /usr/lib64/libcamel-1.2.so.14
#4  0x00000036f0e60d44 in g_thread_create_proxy (data=0x7fcfa818fd50)
    at gthread.c:635
#5  0x00000034c86073da in start_thread (arg=<value optimized out>)
    at pthread_create.c:297
#6  0x00000034c7ae62bd in clone ()
    at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112

Thread 6 (Thread 0x7fcf9c125950 (LWP 5361)):
#0  pthread_cond_wait@@GLIBC_2.3.2 ()
    at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:261
#1  0x00000036f0e1427c in g_async_queue_pop_intern_unlocked (
---Type <return> to continue, or q <return> to quit---
    queue=0x7fcfa81c8840, try=0, end_time=0x0) at gasyncqueue.c:358
#2  0x00000036f0e14632 in IA__g_async_queue_pop (queue=0x7fcfa81c8840)
    at gasyncqueue.c:398
#3  0x0000003bf84229f1 in ?? () from /usr/lib64/libcamel-1.2.so.14
#4  0x00000036f0e60d44 in g_thread_create_proxy (data=0x7fcfa81c88a0)
    at gthread.c:635
#5  0x00000034c86073da in start_thread (arg=<value optimized out>)
    at pthread_create.c:297
#6  0x00000034c7ae62bd in clone ()
    at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112

Thread 5 (Thread 0x7fcf9b724950 (LWP 5362)):
#0  pthread_cond_wait@@GLIBC_2.3.2 ()
    at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:261
#1  0x00000036f0e1427c in g_async_queue_pop_intern_unlocked (
    queue=0x7fcfa81ceb60, try=0, end_time=0x0) at gasyncqueue.c:358
#2  0x00000036f0e14632 in IA__g_async_queue_pop (queue=0x7fcfa81ceb60)
    at gasyncqueue.c:398
#3  0x0000003bf84229f1 in ?? () from /usr/lib64/libcamel-1.2.so.14
#4  0x00000036f0e60d44 in g_thread_create_proxy (data=0x7fcfa81cebc0)
    at gthread.c:635
#5  0x00000034c86073da in start_thread (arg=<value optimized out>)
    at pthread_create.c:297
---Type <return> to continue, or q <return> to quit---
#6  0x00000034c7ae62bd in clone ()
    at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112

Thread 4 (Thread 0x7fcfa6eb0950 (LWP 5524)):
#0  0x00000034c7adc886 in __poll (fds=0x2a85970, nfds=7, timeout=-1)
    at ../sysdeps/unix/sysv/linux/poll.c:87
#1  0x00000036f0e3ae08 in g_main_context_poll () at gmain.c:3091
#2  g_main_context_iterate (context=0x2aa6b10, block=1, dispatch=1, 
    self=<value optimized out>) at gmain.c:2773
#3  0x00000036f0e3b49d in IA__g_main_loop_run (loop=0x2a4c5f0) at gmain.c:2986
#4  0x00000036f4848170 in ?? () from /usr/lib64/libORBit-2.so.0
#5  0x00000036f0e60d44 in g_thread_create_proxy (data=0x170fc20)
    at gthread.c:635
#6  0x00000034c86073da in start_thread (arg=<value optimized out>)
    at pthread_create.c:297
#7  0x00000034c7ae62bd in clone ()
    at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112

Thread 3 (Thread 0x7fcf92f8c950 (LWP 4147)):
#0  0x00000034c7adeaa2 in select () from /lib64/libc.so.6

#1  0x0000003bf842364b in camel_read () from /usr/lib64/libcamel-1.2.so.14
#2  0x0000003bf8445ea8 in camel_stream_buffer_gets ()
   from /usr/lib64/libcamel-1.2.so.14
---Type <return> to continue, or q <return> to quit---
#3  0x00007fcfac203bf0 in camel_imap_store_readline ()
   from /usr/lib64/evolution-data-server-1.2/camel-providers/libcamelimap.so
#4  0x00007fcfac208228 in ?? ()
   from /usr/lib64/evolution-data-server-1.2/camel-providers/libcamelimap.so
#5  0x00007fcfac208a19 in ?? ()
   from /usr/lib64/evolution-data-server-1.2/camel-providers/libcamelimap.so
#6  0x0000003bfa040621 in camel_service_connect ()
   from /usr/lib64/libcamel-provider-1.2.so.14
#7  0x00007fcfac2039dd in camel_imap_store_connected ()
   from /usr/lib64/evolution-data-server-1.2/camel-providers/libcamelimap.so

#8  0x00007fcfac1f9af8 in camel_imap_folder_fetch_data ()
   from /usr/lib64/evolution-data-server-1.2/camel-providers/libcamelimap.so
#9  0x00007fcfac1fa8b5 in ?? ()
   from /usr/lib64/evolution-data-server-1.2/camel-providers/libcamelimap.so
#10 0x00007fcfac1fd8e3 in ?? ()
   from /usr/lib64/evolution-data-server-1.2/camel-providers/libcamelimap.so
#11 0x0000003bfa02e36b in camel_folder_get_message ()
   from /usr/lib64/libcamel-provider-1.2.so.14
#12 0x00007fcfb1066125 in ?? ()
   from /usr/lib64/evolution/2.24/components/libevolution-mail.so
#13 0x00007fcfb1063cea in ?? ()
   from /usr/lib64/evolution/2.24/components/libevolution-mail.so

#14 0x00000036f0e622d7 in g_thread_pool_thread_proxy (
---Type <return> to continue, or q <return> to quit---
    data=<value optimized out>) at gthreadpool.c:265
#15 0x00000036f0e60d44 in g_thread_create_proxy (data=0x7fcf98f70b50)
    at gthread.c:635
#16 0x00000034c86073da in start_thread (arg=<value optimized out>)
    at pthread_create.c:297
#17 0x00000034c7ae62bd in clone ()
    at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
Current language:  auto; currently c

Thread 2 (Thread 0x7fcf91269950 (LWP 4223)):
#0  __lll_lock_wait ()
    at ../nptl/sysdeps/unix/sysv/linux/x86_64/lowlevellock.S:130
#1  0x00000034c86091b0 in _L_lock_102 () from /lib64/libpthread.so.0
#2  0x00000034c8608a9e in __pthread_mutex_lock (mutex=0x174a2b8)
    at pthread_mutex_lock.c:86
#3  0x00000036f0e60c81 in IA__g_static_rec_mutex_lock (mutex=0x174a2b0)
    at gthread.c:313
#4  0x00007fcfac205d59 in ?? ()
   from /usr/lib64/evolution-data-server-1.2/camel-providers/libcamelimap.so
#5  0x0000003bfa047717 in camel_store_get_folder_info ()
   from /usr/lib64/libcamel-provider-1.2.so.14
#6  0x00007fcfb1066b48 in ?? ()
   from /usr/lib64/evolution/2.24/components/libevolution-mail.so

#7  0x00007fcfb1063cea in ?? ()
---Type <return> to continue, or q <return> to quit---
   from /usr/lib64/evolution/2.24/components/libevolution-mail.so
#8  0x00000036f0e622d7 in g_thread_pool_thread_proxy (
    data=<value optimized out>) at gthreadpool.c:265
#9  0x00000036f0e60d44 in g_thread_create_proxy (data=0x7fcfa5f6bf80)
    at gthread.c:635
#10 0x00000034c86073da in start_thread (arg=<value optimized out>)
    at pthread_create.c:297
#11 0x00000034c7ae62bd in clone ()
    at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112

Thread 1 (Thread 0x7fcfb63577f0 (LWP 5307)):
#0  0x00000034c7adc886 in __poll (fds=0x7fffbe3ac590, nfds=2, timeout=-1)
    at ../sysdeps/unix/sysv/linux/poll.c:87
#1  0x0000003bf843de80 in ?? () from /usr/lib64/libcamel-1.2.so.14
#2  0x0000003bf843e2d6 in camel_getaddrinfo ()
   from /usr/lib64/libcamel-1.2.so.14
#3  0x0000003bf8434f89 in camel_header_msgid_generate ()
   from /usr/lib64/libcamel-1.2.so.14
#4  0x0000003bf842f4ed in camel_mime_message_set_message_id ()
   from /usr/lib64/libcamel-1.2.so.14
#5  0x0000003bf843069a in ?? () from /usr/lib64/libcamel-1.2.so.14

#6  0x00007fcfb1078b7f in e_composer_autosave_snapshot ()
   from /usr/lib64/evolution/2.24/components/libevolution-mail.so
---Type <return> to continue, or q <return> to quit---
#7  0x00000036f0e34fad in IA__g_list_foreach (list=<value optimized out>, 
    func=0x7fcfb1078d40, user_data=0x0) at glist.c:789
#8  0x00007fcfb1078ff9 in ?? ()
   from /usr/lib64/evolution/2.24/components/libevolution-mail.so
#9  0x00000036f0e37f5b in g_timeout_dispatch (source=0x7fcf963417b0, 
    callback=0x2, user_data=0xffffffffffffffff) at gmain.c:3589
#10 0x00000036f0e3779b in g_main_dispatch () at gmain.c:2144
#11 IA__g_main_context_dispatch (context=0x16a0700) at gmain.c:2697
#12 0x00000036f0e3af6d in g_main_context_iterate (context=0x16a0700, block=1, 
    dispatch=1, self=<value optimized out>) at gmain.c:2778

#13 0x00000036f0e3b49d in IA__g_main_loop_run (loop=0x1727b80) at gmain.c:2986
#14 0x00000036f5c2d1f6 in bonobo_main () from /usr/lib64/libbonobo-2.so.0
#15 0x000000000041635f in main ()
Current language:  auto; currently asm
Current language:  auto; currently c
(gdb)
Comment 8 Matthew Barnes 2009-04-01 08:01:43 EDT
Thanks.  Backtrace is missing some debug info, but looks like the composer is auto-saving, which leads to Camel blocking on getaddrinfo() in the main thread.

There's an old bug upstream about needing to auto-save in a separate thread to avoid just this sort of thing.  I'll try to look into that on my next sweep over composer bugs.  Although, there's probably all kinds of code paths in Evolution that can lead to getaddrinfo() blocking the main thread.

http://bugzilla.gnome.org/show_bug.cgi?id=248353
Comment 9 Brad Smith 2009-04-01 20:49:21 EDT
I will add that I have seen this redraw behavior periodically for the last several months. Sometimes it goes away. For example, Evolution was working fine until this past monday when this redraw behavior started up again. Possibly related to some updates that were pushed out. This is Fedora 10, which I keep current with daily yum updates. Wireless connection using rt2860 drivers (rpmfusion).
Comment 10 Johnny Proton 2009-09-23 09:07:27 EDT
I am in Fedora 11 X86-64 and I see this behavior CONSTANTLY.

I can't tell why it's doing it, but Evolution freezes for maybe 5 seconds, then comes back again.  I did notice that I had about 6 composer emails open and yes, these emails would have been auto-saved to the IMAP store which would be dependent upon the network.

My Comcast seems to have quite a latency on ping so I wonder if it was freezing because of the composer windows.

Finally, I just wrote all the emails and now evolution isn't hanging.  Although when you are not writing any emails, it is kind of pointless.
Comment 11 Johnny Proton 2009-09-23 09:17:00 EDT
I also did make the behaviour stop by changing my "Drafts" location to a local folder, instead of the IMAP folder, but someone really ought to hop on this bug and fix it:

http://bugzilla.gnome.org/show_bug.cgi?id=248353 

It would make the problem go away.  Better to have the drafts on the IMAP store, if you are an IMAP user.
Comment 12 Milan Crha 2009-09-23 09:40:56 EDT
(In reply to comment #11)
> I also did make the behaviour stop by changing my "Drafts" location to a local
> folder, instead of the IMAP folder, but someone really ought to hop on this bug
> and fix it:
> 
> http://bugzilla.gnome.org/show_bug.cgi?id=248353 
> 
> It would make the problem go away.  Better to have the drafts on the IMAP
> store, if you are an IMAP user.  

Thanks for the finding. Actual master (2.29.1 material) seems to do this in another thread, even waiting for the folder opening. Saving itself is done asynchronously.

If everyone is fine, I would like to track this bug in the given upstream bug and close this one. OK?
Comment 13 Bug Zapper 2009-11-18 02:50:10 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 14 Bug Zapper 2009-12-18 03:00:24 EST
Fedora 10 changed to end-of-life (EOL) status on 2009-12-17. Fedora 10 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.